Bug 824507 - Review Request: python-jsonschema - An implementation of JSON Schema validation for Python
Review Request: python-jsonschema - An implementation of JSON Schema validati...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 11:50 EDT by Pádraig Brady
Modified: 2012-05-25 11:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 11:54:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
markmc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2012-05-23 11:50:18 EDT
Spec URL: http://pbrady.fedorapeople.org/python-jsonschema/python-jsonschema.spec
SRPM URL: http://pbrady.fedorapeople.org/python-jsonschema/python-jsonschema-0.2-1.fc15.src.rpm
Description: jsonschema is JSON Schema validator currently based on
http://tools.ietf.org/html/draft-zyp-json-schema-03

Fedora Account System Username: pbrady
Comment 1 Dan Prince 2012-05-24 21:40:47 EDT
Pádraig,

I just build/tested this package on Fedora 16 and it works great with the Folsom milestone 1 Glance package (which now requires python-jsonschema for validation).

Thumbs up from me on this. Thanks for the quick turn around too.

Dan
Comment 2 Mark McLoughlin 2012-05-25 04:38:50 EDT
rpmlint output:

  $ rpmlint ./python-jsonschema.spec 
  0 packages and 1 specfiles checked; 0 errors, 0 warnings.

  $ rpmlint ./python-jsonschema-0.2-1.fc16.noarch.rpm 
  python-jsonschema.noarch: W: spelling-error %description -l en_US validator -> lavatorial
  1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  $ rpmlint ./python-jsonschema-0.2-1.fc16.src.rpm 
  python-jsonschema.src: W: spelling-error %description -l en_US validator -> lavatorial
  1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Not sure what's wrong with "validator", seems like a common spelling of the term.

It meets all the MUST and SHOULD guidelines, meets the python specific guidelines and builds fine in mock.

She's good to go.
Comment 3 Pádraig Brady 2012-05-25 04:52:41 EDT
New Package SCM Request
=======================
Package Name: python-jsonschema
Short Description: An implementation of JSON Schema validation for Python
Owners: pbrady
Branches: f16 f17 el6
InitialCC:
Comment 4 Gwyn Ciesla 2012-05-25 08:47:55 EDT
Git done (by process-git-requests).
Comment 5 Pádraig Brady 2012-05-25 11:54:46 EDT
cheers guys

Note You need to log in before you can comment on or make changes to this bug.